using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;
using System.Threading.Tasks;
using WcfServices.Dto;

namespace WcfServices.Contract
{
    [ServiceContract]
    public interface IAttendanceEventTypeService
    {

        [OperationContract]
        Task<IEnumerable<AttendanceEventTypeDto>> GetAttendanceEventTypesAsync(FilterDto filterDto);
        [OperationContract]
        Task<AttendanceEventTypeDto> GetAttendanceEventTypeByIdAsync(int id);
        [OperationContract]
        Task CreateAttendanceEventTypeAsync(AttendanceEventTypeDto userDto);
        [OperationContract]
        Task UpdateAttendanceEventTypeAsync(AttendanceEventTypeDto userDto);
        [OperationContract]
        Task DeleteAttendanceEventTypeAsync(int id);

    }

}
